import request from '@/utils/httpRequest'

export default class reimbursementSys {
  findList (params) {
    return request({
      url: '/reimbursementUser/findList',
      method: 'get',
      params: params
    })
  }

  save (inputForm) {
    return request({
      url: `/reimbursementUser/save`,
      method: 'post',
      data: inputForm
    })
  }

  delete (ids) {
    return request({
      url: '/reimbursementUser/delete',
      method: 'delete',
      params: {ids: ids}
    })
  }

  queryById (id) {
    return request({
      url: `/reimbursementUser/queryById`,
      method: 'get',
      params: {id: id}
    })
  }

  getReimbursementQuotaDay () {
    return request({
      url: `/reimbursementUser/getReimbursementQuotaDay`,
      method: 'get'
    })
  }

  findListByUserId (params) {
    return request({
      url: `/reimbursementUser/findListByUserId`,
      method: 'get',
      params: params
    })
  }

  exportTemplate () {
    return request({
      url: '/reimbursementUser/import/template',
      method: 'get',
      responseType: 'blob'
    })
  }

  importExcel (data) {
    return request({
      url: '/reimbursementUser/import',
      method: 'post',
      data: data
    })
  }

  initialize (params) {
    return request({
      url: '/reimbursementUser/initialize',
      method: 'post',
      params: params
    })
  }

  exportExcel (params) {
    return request({
      url: '/reimbursementUser/export',
      method: 'get',
      params: params,
      responseType: 'blob'
    })
  }
}
